/*
 * Portions of this software are copyrighted by the
 *
 *     University of South Carolina,
 *     Sun Microsystems, Inc.,
 *
 * and other parties.
 *
 * IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY
 * DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  THIS SOFTWARE
 * IS PROVIDED ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE
 * NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
 * MODIFICATIONS.
 */
 
 
package edu.sc.seis.TauP;
 
/**
  * Displays a message to the user depending on whether there is a GUI or not.
  *
  * @version 1.0  Tue Feb  2 20:48:34 GMT 1999
  * @author H. Philip Crotwell
  *
  */
public class Alert {

		/** the machine/OS dependent line terminator, ie \r \r\n or \n. */
	String nl = System.getProperty("line.separator");

		/** Whether or not a GUI is being used. */
	private boolean GUI = false;
 
 	public Alert() {
 	}
 	
 	public Alert(boolean GUI) {
 		this();
 		this.GUI = GUI;
 	}
 	
      /* reports non fatal errors in a manner consistant with
       * the current usage, ie GUI or command line. */
   void warning(String message, String extra) {
      if (GUI) {
         System.err.println("Warning: "+message+ nl +extra);
      } else {
         System.err.println("Warning: "+message+ nl +extra);
      }
   }
 
      /* reports fatal errors in a manner consistant with
       * the current usage, ie GUI or command line. */
   void error(String message, String extra) {
      if (GUI) {
         System.err.println("Error: "+message+ nl +extra);
      } else {
         System.err.println("Error: "+message+ nl +extra);
      }
   }
   
}

