/*
 * Portions of this software are copyrighted by the 
 * 
 *     University of South Carolina,
 *     Sun Microsystems, Inc., 
 * 
 * and other parties. 
 * 
 * IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY
 * DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  THIS SOFTWARE
 * IS PROVIDED ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE
 * NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
 * MODIFICATIONS.
 */


package edu.sc.seis.TauP;

/** convenience class for storing the version of the TauP stuff.
  *
  * @version 1.0  Tue Feb  2 20:48:34 GMT 1999
  * @author H. Philip Crotwell
  *
  */
public class Version {

	private static int majorNum = 1;

		/** returns the major version number for the package. */
	public static int getMajorNum() {
		return majorNum;
	}

	private static int minorNum = 0;

		/** returns the minor version number for the package. */
	public static int getMinorNum() {
		return minorNum;
	}

	private static int touchNum = 6;

		/** returns the touch version number for the package. The touch number
		 *  is changed between versions for every edit and is mainly used for
		 *  quick bug fixes that only involve special cases or very small sections
		 *  of code. */
	public static int getTouchNum() {
		return touchNum;
	}

		/** use data -u to get immediately prior to recompiling. */
	private static String dateCreated = "Mon Feb  8 19:14:30 GMT 1999"; 


		/** returns a string with version number and date created. The format
		 *  is "majorNum.minorNum [BETA],  date" where the BETA is signifies
		 *  a beta release and data is the format output by "data -u" on
		 *  my Solaris machine, something like "Tue May  5 20:12:55 GMT 1998". */
   public static String getVersion() {
      return majorNum+"."+minorNum+"."+touchNum+",  "+dateCreated;
   }
}
